| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Variables
System and Build Constants

## Variables
const | Qore::Build = qore(qore_build_number)
| The integer Qore build number.
const | Qore::BuildHost = qore(new QoreStringNode(qore_build_host))
| The host name of the host used to build the Qore library.
const | Qore::CFLAGS = qore(new QoreStringNode(qore_cflags))
| A string giving the C++ compiler flags used to build Qore.
const | Qore::Compiler = qore(new QoreStringNode(qore_cplusplus_compiler))
| A string giving the C++ compiler used to build Qore.
const | Qore::DirSep = qore(new QoreStringNode(QORE_DIR_SEP_STR))
| platform-specific directory separator character string
const | Qore::LDFLAGS = qore(new QoreStringNode(qore_ldflags))
| A string giving the linker flags used to build Qore.
const | Qore::MACHINE_MSB = bool(Q_MACHINE_MSB)
| True if the current machine uses big-endian or MSB byte order or False if the current machine uses little-endian or LSB byte order
const | Qore::PathSep = qore(new QoreStringNode(QORE_PATH_SEP_STR))
| platform-specific path separator character string
const | Qore::Platform = ("OS": qore(new QoreStringNode(TARGET_OS)), "CPU": qore(new QoreStringNode(TARGET_ARCH)), "Unix": bool(Q_IS_UNIX), "Windows": bool(Q_IS_WINDOWS))
| hash of platform information
const | Qore::PlatformCPU = qore(new QoreStringNode(TARGET_ARCH))
| The string for the platform's CPU architecture.
const | Qore::PlatformOS = qore(new QoreStringNode(TARGET_OS))
| A string giving the platform operating-system name.
const | Qore::VersionMajor = qore(qore_version_major)
| The integer Qore major version number.
const | Qore::VersionMinor = qore(qore_version_minor)
| The integer Qore minor version number.
const | Qore::VersionString = qore(new QoreStringNode(qore_version_string))
| The full Qore version string.
const | Qore::VersionSub = qore(qore_version_sub)
| The integer Qore sub version number.

## Detailed Description

## Variable Documentation

## ◆ DirSep

const Qore::DirSep = qore(new QoreStringNode(QORE_DIR_SEP_STR))

platform-specific directory separator character string

Note
  `"/"` on Unix-like platforms, `"\\"` on Windows

See also
  PathSep

## ◆ PathSep

const Qore::PathSep = qore(new QoreStringNode(QORE_PATH_SEP_STR))

platform-specific path separator character string

Note
  `":"` on Unix-like platforms, `";"` on Windows

See also
  DirSep

Since
  Qore 0.8.13